# _*_ coding:utf-8 _*_
_author_ = 'wenxin'
_date_ = '2020/6/16 16:54'
import pandas as pd

class DoExcelByPandas(object):

    def get_data_for_pytest(self, filename, sheet_name):
        df = pd.read_excel(filename, sheet_name=sheet_name)  # 默认读取第一个表单  # 读取出来是一个二维矩阵
        test_data = []
        for i in df.values.tolist():
            test_data.append(i)
        return test_data

    def get_data_for_allure(self, filename, sheet_name):
        df = pd.read_excel(filename, sheet_name=sheet_name)  # 默认读取第一个表单  # 读取出来是一个二维矩阵
        test_data = []
        # 获取行号索引，并对其进行遍历
        for i in df.index.values:
            # 根据i获取该行的数据，并通过to_dict转化成字典 -- 这里不能用iloc, iloc只能用数字索引
            row_data = df.loc[i, ['id', 'url', 'data', 'story', 'severity']].to_dict()
            test_data.append(row_data)
        return test_data


